About the --aid option for rpm

Discussion in 'Installation/Configuration' started by sean_zhang, Feb 15, 2008.

  1. sean_zhang

    sean_zhang New Member

    --aid Add suggested packages to the transaction set when needed.

    $ cd /media/RHEL5.1\ x86_64\ DVD/Server/
    $ rpm -ivh hwbrowser-<version>-noarch.rpm --aid

    The output still indicates that the pyparted is needed, installation aborted.
    I thought that the --aid will help to solve the dependency issue. Do I misunderstand something?

    Is there a way to solve dependency issue for RHEL, like YaST for SuSE?
  2. topdog

    topdog Active Member HowtoForge Supporter

    If the rpms are in the same directory then it should do it.

Share This Page